[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: 2.6 kernel removals

On Wed, Jul 28, 2004 at 01:08:38AM -0400, Andres Salomon wrote:
> From what I can gather, it would appear that debian-installer is using
> 2.6.7 kernels for the following archs: i386, ia64, powerpc, and sparc.
> Every other arch is using 2.4 or older.

> In sid, we've got 2.6.6 for alpha, and 2.6.7 for i386, ia64, and
> powerpc.  I plan to request the removal of all older kernels.  This
> means the following will go:

> kernel-source-2.6.3
> kernel-source-2.6.5
> kernel-source-2.6.6  (if alpha still needs this, let me know)

This should not be removed without first removing the alpha
kernel-images built from it -- having kernel-images without
corresponding kernel-sources in testing is a total non-starter from the
standpoint of the security team (and probably a GPL violation, once we

Of course, debian-installer doesn't use those, and never will (I need at
least 2.6.7 w/ the PCI fixes to be able to do any development on 2.6);
so it's entirely at the kernel team's discretion whether they should be
kept until 2.6.7 becomes available.

> Hopefully someone's working on 2.6.7 for alpha, so we can get rid of all
> traces of 2.6.[1-6] from sid..

Not I.  I've heard grumblings about no one being in charge of the alpha
builds, and that there was a possible volunteer, but I haven't heard
that he's volunteered just yet. :)

Steve Langasek
postmodern programmer

Attachment: signature.asc
Description: Digital signature

Reply to: